%global debug_package %{nil}

Name:       openvpn-cred-management
Version:    0.0.git.41.cb856cea
Release:    1%{?dist}
Summary:    A wrapper around easy-rsa for personal convenience.
License:    MIT
URL:        https://github.com/cyqsimon/openvpn-cred-management
VCS:        git+https://github.com/cyqsimon/openvpn-cred-management.git#cb856cea6a9d33031d66236e24f8380eb9439f40:
Source:     openvpn-cred-management-cb856cea.tar.gz

Requires:       easy-rsa
BuildRequires:  gcc

%description
A wrapper around easy-rsa for personal convenience.
Not tested whatsoever so you probably shouldn't use it.

%prep
%setup -T -b 0 -q -n openvpn-cred-management

# use latest stable version from rustup
curl -Lf "https://sh.rustup.rs" | sh -s -- --profile minimal -y

%build
source ~/.cargo/env
cargo build --release

%install
install -Dpm 755 target/release/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
